#include "map_value_map.h"
#include "mapstorage.h"

MapValueEdgeMap::MapValueEdgeMap(const std::string& _mapName, MapStorage* _pMapStorage) :
  mapName(_mapName),
  pMapStorage(_pMapStorage)
{
}

MapValueEdgeMap::Value MapValueEdgeMap::operator[](Key k) const {
  return pMapStorage->get(mapName, k);
}

void MapValueEdgeMap::set(Key k, Value v)
{
  pMapStorage->set(mapName, k, v);
}

MapValueNodeMap::MapValueNodeMap(const std::string& _mapName, MapStorage* _pMapStorage) :
  mapName(_mapName),
  pMapStorage(_pMapStorage)
{
}

MapValueNodeMap::Value MapValueNodeMap::operator[](Key k) const {
  return pMapStorage->get(mapName, k);
}

void MapValueNodeMap::set(Key k, Value v)
{
  pMapStorage->set(mapName, k, v);
}
